Retrieves a list of Integration log drains (deprecated)
GET
https://api.vercel.com/v2/integrations/log-drainsRetrieves a list of all Integration log drains that are defined for the authenticated user or team. When using an OAuth2 token, the list is limited to log drains created by the authenticated integration.
https://api.vercel.com/v2/integrations/log-drains
const response = await fetch('https://api.vercel.com/v2/integrations/log-drains?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
[ { "branch": "feature/*", "clientId": "oac_xRhY4LAB7yLhUADD69EvV7ct", "configurationId": "icfg_3bwCLgxL8qt5kjRLcv2Dit7F", "createdAt": "1558531915505", "createdFrom": "integration", "deliveryFormat": "json", "environments": [], "headers": "{\"Authorization\": \"Bearer 123\"}", "id": "ld_nBuA7zCID8g4QZ8g", "name": "My first log drain", "ownerId": "kr1PsOIzqEL5Xg6M4VZcZosf", "projectId": "AbCgVkqoxXeXCDWehVir51LHGrrcWL4mkYm14W6UBPWQeb", "projectIds": [], "samplingRate": "0.5", "source": { "defaultFor": "eve-tracing", "kind": "self-served" }, "sources": [], "url": "https://example.com/log-drain" }]AuthorizationbearerToken
Default authentication mechanism